Package org.apache.any23.extractor.microdata

## Class MicrodataParserTest

- java.lang.Object
- - org.apache.any23.extractor.microdata.MicrodataParserTest

-     public class MicrodataParserTest
      extends Object

  Test case for `MicrodataParser`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MicrodataParserTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testAdvancedItemrefManagement()` |
    `void` | `testBasicFeatures()` |
    `void` | `testDeferProperties()` | Test the main use case of `MicrodataParser.deferProperties(String...)`
    `void` | `testDeferPropertiesLoopDetection1()` | Tests the loop detection in `MicrodataParser.deferProperties(String...)`.
    `void` | `testDeferPropertiesLoopDetection2()` | Tests the deep loop detection in `MicrodataParser.deferProperties(String...)`.
    `void` | `testDeferPropertiesStateManagement()` | Tests that the loop detection works property even with multiple calls of `MicrodataParser.deferProperties(String...)` over the same item props.
    `void` | `testGetContentAsDate()` |
    `void` | `testGetDateConcurrent()` |
    `void` | `testMicrodataJSONSerialization()` |
    `void` | `testNestedMicrodata()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MicrodataParserTest

          public MicrodataParserTest()

  - ### Method Detail

    - #### testBasicFeatures

          public void testBasicFeatures()
                                 throws IOException

      Throws:
        `IOException`

    - #### testNestedMicrodata

          public void testNestedMicrodata()
                                   throws IOException

      Throws:
        `IOException`

    - #### testAdvancedItemrefManagement

          public void testAdvancedItemrefManagement()
                                             throws IOException

      Throws:
        `IOException`

    - #### testMicrodataJSONSerialization

          public void testMicrodataJSONSerialization()
                                              throws IOException

      Throws:
        `IOException`

    - #### testGetContentAsDate

          public void testGetContentAsDate()
                                    throws IOException,
                                           ParseException

      Throws:
        `IOException`
        `ParseException`

    - #### testGetDateConcurrent

          public void testGetDateConcurrent()
                                     throws Exception

      Throws:
        `Exception`

    - #### testDeferProperties

          public void testDeferProperties()
                                   throws IOException,
                                          MicrodataParserException

      Test the main use case of `MicrodataParser.deferProperties(String...)`
      Throws:
        `IOException` - if there is an error processing the input data
        `MicrodataParserException` - if there is an error within the `MicrodataParser`

    - #### testDeferPropertiesLoopDetection1

          public void testDeferPropertiesLoopDetection1()
                                                 throws IOException,
                                                        MicrodataParserException

      Tests the loop detection in `MicrodataParser.deferProperties(String...)`.
      Throws:
        `IOException` - if there is an error processing the input data
        `MicrodataParserException` - if there is an error within the `MicrodataParser`

    - #### testDeferPropertiesLoopDetection2

          public void testDeferPropertiesLoopDetection2()
                                                 throws IOException,
                                                        MicrodataParserException

      Tests the deep loop detection in `MicrodataParser.deferProperties(String...)`.
      Throws:
        `IOException` - if there is an error processing the input data
        `MicrodataParserException` - if there is an error within the `MicrodataParser`

    - #### testDeferPropertiesStateManagement

          public void testDeferPropertiesStateManagement()
                                                  throws IOException,
                                                         MicrodataParserException

      Tests that the loop detection works property even with multiple calls of `MicrodataParser.deferProperties(String...)` over the same item props.
      Throws:
        `IOException` - if there is an error processing the input data
        `MicrodataParserException` - if there is an error within the `MicrodataParser`